> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Room Roles > Get the list of roles in a specific room. This endpoint returns users with the `Owner`, `Leader`, and `Moderator` room roles. You can refer to the Roles user guide for more details on roles in Rocket.Chat. ### Changelog | Version | Description | | ------- | ------------------------------------ | | 7.10.0 | Added | ## OpenAPI ````json GET /api/v1/rooms.roles { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/rooms.roles": { "get": { "summary": "Get Room Roles", "tags": [ "Rooms" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "roles": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "rid": { "type": "string" }, "u": { "type": "object", "properties": { "_id": { "type": "string" }, "username": { "type": "string" }, "name": { "type": "string" } } }, "roles": { "type": "array", "items": { "type": "string" } } } } }, "success": { "type": "boolean" } } }, "examples": { "Example 1": { "value": { "roles": [ { "_id": "668c75b2b319fc80bf0ed3a1", "rid": "658282732dd9f928ad989e98", "u": { "_id": "P2dgWPPw5veigwcdK", "username": "jane.doe", "name": "Jane Doe" }, "roles": [ "moderator" ] }, { "_id": "6819edfa30c9c71254e45d18", "rid": "658282732dd9f928ad989e98", "u": { "_id": "74HrDgvTTxT56o8R8", "username": "mary.shelley", "name": "Mary Shelley" }, "roles": [ "leader" ] }, { "_id": "668c7717b319fc80bf0ed3b0", "rid": "658282732dd9f928ad989e98", "u": { "_id": "qHWhoJwwgk4bwcoNq", "username": "test.user" }, "roles": [ "moderator" ] }, { "_id": "6690c37ab319fc80bf0ed407", "rid": "658282732dd9f928ad989e98", "u": { "_id": "C38WSSzrGd2NCjzqJ", "username": "test.cat" }, "roles": [ "owner" ] } ], "success": true } } } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "errorType": { "type": "string" }, "error": { "type": "string" } } }, "examples": { "Example 1": { "value": { "success": false, "errorType": "error-invalid-params", "error": "must have required property 'rid'" } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } }, "operationId": "get-api-v1-rooms.roles", "description": "Get the list of roles in a specific room. This endpoint returns users with the `Owner`, `Leader`, and `Moderator` room roles. You can refer to the Roles user guide for more details on roles in Rocket.Chat.\n\n### Changelog\n| Version | Description |\n| ------- | ------------------------------------ |\n| 7.10.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "schema": { "type": "string", "example": "658282732dd9f928ad989e98" }, "in": "query", "name": "rid", "description": "Enter the room ID for which you want to view the room roles.", "required": true } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "success": false, "error": "You must be logged in to do this." } } } } } } }, "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } } } } ````